;[read write data\nexcam.ini]
alias -l rnc {
  if ($exists(data\nexcam.ini) == $false) { mkdir data |  write -c data\nexcam.ini }
  return $readini $shortfn($findfile($mircdir,nexcam.ini,1)) $$1 $$2 
}
alias -l rnc2 {
  if ($exists(data\nexcam2.ini) == $false) { mkdir data |  write -c data\nexcam2.ini }
  return $readini $shortfn($findfile($mircdir,nexcam2.ini,1)) $$1 $$2 
}
alias -l wc {
  if ($exists(data\nexcam.ini) == $false) { mkdir data |  write -c data\nexcam.ini }
  writeini $shortfn($findfile($mircdir,nexcam.ini,1)) $$1 $$2 $$3-
}
alias -l wc2 {
  if ($exists(data\nexcam2.ini) == $false) { mkdir data |  write -c data\nexcam2.ini }
  writeini $shortfn($findfile($mircdir,nexcam2.ini,1)) $$1 $$2 $$3-
}
alias -l remc {
  if ($exists(data\nexcam.ini) == $false) { mkdir data |  write -c data\nexcam.ini }
  remini $shortfn($findfile($mircdir,nexcam.ini,1)) $$1 $$2 
}
alias -l remc2 {
  if ($exists(data\nexcam.ini) == $false) { mkdir data |  write -c data\nexcam2.ini }
  remini $shortfn($findfile($mircdir,nexcam2.ini,1)) $$1 $$2 
}
alias -l nctop {
  if ($rnc(nexcam,ontop) == on) { return -m } 
  else { return -md }
}
menu menubar,status,channel {
  $iif($script(nexcam.mrc) != $null, utilities)
  .nexcam - webcam viewer
  ..view nexcam:nexcam
  ..uninstall:unload -rs sys\nexcam.mrc
}
dialog warning {
  title "warning!"
  size -1 -1 97 61
  option dbu
  button "proceed", 1, 9 43 30 11, ok
  button "cancel", 2, 56 43 30 11, cancel
  text "The images on this nexcam come from uncontrolled sources. Some images may contain adult matter without warning. Please press 'proceed' to continue or press cancel.", 3, 3 4 94 35
}
on *:dialog:warning:sclick:*:{ 
  if ($did == 1) { nexcam }
  if ($did == 2) { _vrem nexcam warn }
}
alias nexcam { 
  if ($_vr(nexcam,warn) == $null) { dialog -m warning warning | _vw nexcam warn 1 | halt } 
  if $dialog(nexcam) == $null) { dialog $nctop nexcam nexcam }  
  if ($exists(cam.jpg) == $true) { .remove cam.jpg }
}
dialog nexcam {
  title "nexcam v1.11"
  size -1 -1 618 358
  option pixels
  icon 1, 12 36 330 244
  button "close", 2, 144 376 68 24, hide ok
  button "snapshot", 18, 282 326 58 20, disable
  tab "cams", 19, 358 5 250 280
  list 16, 374 39 216 185, tab 19 sort size hsbar vsbar
  button "add to favs", 37, 383 255 74 20, tab 19
  button "remove", 3, 529 255 58 20, tab 19
  button "edit", 41, 469 255 50 20, tab 19
  radio "female", 43, 384 231 62 20, tab 19
  radio "male", 44, 462 231 52 20, tab 19
  radio "other", 45, 533 231 52 20, tab 19
  tab "favs", 20
  list 35, 374 39 218 206, tab 20 sort size hsbar vsbar
  button "remove", 7, 516 255 58 20, tab 20
  tab "add", 34
  text "name", 24, 394 68 30 16, tab 34
  edit "", 21, 392 86 180 20, tab 34 autohs
  text "webcam link", 26, 394 110 66 16, tab 34
  edit "", 25, 392 128 180 20, tab 34 autohs
  text "home page", 28, 394 152 66 16, tab 34
  edit "", 27, 392 170 180 20, tab 34 autohs
  button "clear", 30, 415 229 56 18, tab 34
  button "add", 29, 481 229 56 18, tab 34
  radio "female", 46, 386 201 62 20, tab 34
  radio "male", 47, 464 201 52 20, tab 34
  radio "other", 48, 535 201 52 20, tab 34
  tab "submit", 11
  text "How to get a cam link:", 55, 372 52 112 16, tab 11
  text "This only works if your getting a link from the cams homepage, not a cam host site. Right click mouse on cam image, select properties, copy url address in properties.", 56, 371 67 224 62, tab 11
  button "submit a cam", 57, 442 248 77 20, tab 11
  text "Click the button below to get the submission form.", 58, 371 198 232 40, tab 11
  tab "snaps", 50
  list 51, 374 39 216 185, tab 50 sort size hsbar vsbar
  button "remove", 53, 507 235 58 20, tab 50
  button "go location", 54, 399 235 74 20, tab 50
  box "status", 22, 6 318 118 30
  text "", 23, 8 330 114 16, center
  box "", 38, 8 2 292 28
  text "", 39, 12 12 284 16, center
  button "visit", 4, 8 292 58 20
  box "web site", 5, 70 284 270 32
  text "", 6, 72 296 266 16, center
  check "always on top", 8, 376 300 94 20
  box "", 9, 362 286 240 64
  button "refresh", 12, 128 326 58 20
  edit "", 13, 46 170 252 20, hide autohs
  text "home page", 14, 48 152 66 16, hide
  edit "", 15, 46 128 252 20, hide autohs
  text "nexcam link", 17, 48 110 66 16, hide
  edit "", 31, 46 86 250 20, hide autohs
  text "name", 32, 48 68 30 16, hide
  button "apply", 33, 172 212 56 18, hide
  button "cancel", 36, 104 212 56 18, hide
  box "edit", 40, 48 48 242 202, hide
  radio "max", 42, 308 8 34 20, push
  button "stop", 49, 191 326 58 20, disable
  button "update", 10, 537 320 58 20
  text "nexcam list", 52, 538 303 54 14
}
on *:dialog:nexcam:init:*:{
  did -g nexcam 1 $shortfn($findfile($mircdir,nexcam.jpg,1))
  did -b nexcam 3,7,4,29,30,41
  if ($rnc(nexcam,ontop) == on) { did -c nexcam 8 } 
  if ($rnc(nexcam,size) == min) { did -c nexcam 42 | did -o nexcam 42 1 min | min.size }   
  if ($rnc(nexcam,list) == fem) { listfem | did -c nexcam 43 }
  elseif ($rnc(nexcam,list) == mal) { listmal | did -c nexcam 44 }
  elseif ($rnc(nexcam,list) == oth) { listoth | did -c nexcam 45 }
  listfav
}
on *:dialog:nexcam:edit:*:{ 
  if ($did(nexcam,21).text != $null) && ($did(nexcam,25).text != $null) && ($did(nexcam,46).state == 1) { did -e nexcam 29 } 
  elseif ($did(nexcam,21).text != $null) && ($did(nexcam,25).text != $null) && ($did(nexcam,47).state == 1) { did -e nexcam 29 } 
  elseif ($did(nexcam,21).text != $null) && ($did(nexcam,25).text != $null) && ($did(nexcam,48).state == 1) { did -e nexcam 29 } 
  elseif ($did(nexcam,21).text == $null) || ($did(nexcam,25).text == $null) { did -b nexcam 29 } 
  if ($did == 21) {
    if ($did(nexcam,21).text != $null) { did -e nexcam 30 }
    else { did -b nexcam 30 } 
  } 
  if ($did == 25) {
    if ($did(nexcam,25).text != $null) { did -e nexcam 30 }
    else { did -b nexcam 30 } 
  } 
}
alias -l rest {
  did -o nexcam 39 1 %nc.who 
  did -o nexcam 6 1 %nc.site
  if ($exists(cam.jpg) == $true) { did -g nexcam 1 cam.jpg }
  else { did -g nexcam 1 $shortfn($findfile($mircdir,nexcam.jpg,1)) }
}
on *:dialog:nexcam:sclick:*:{ 
  sclick 
  if ($did == 3) { 
    .timer72 off
    if ($did(nexcam,31).visible == $true) { did -h nexcam 31,32,15,17,14,13,36,33 | did -v nexcam 1 }
    if ($did(nexcam,43).state == 1) { 
      if ($read($shortfn($findfile($mircdir,nexfem.txt,1)),w, $did(nexcam,16).seltext) != $null) { write -ds $+ $did(nexcam,16).seltext $shortfn($findfile($mircdir,nexfem.txt,1)) | .timer -m 1 1 remini $shortfn($findfile($mircdir,nexcam.ini,1)) $did(nexcam,16).seltext }
      else { write -ds $+ $did(nexcam,16).seltext $shortfn($findfile($mircdir,nexfem2.txt,1)) | .timer -m 1 1 remini $shortfn($findfile($mircdir,nexcam2.ini,1)) $did(nexcam,16).seltext }
    }
    elseif ($did(nexcam,44).state == 1) { 
      if ($read($shortfn($findfile($mircdir,nexmal.txt,1)),w, $did(nexcam,16).seltext) != $null) { write -ds $+ $did(nexcam,16).seltext $shortfn($findfile($mircdir,nexmal.txt,1)) | .timer -m 1 1 remini $shortfn($findfile($mircdir,nexcam.ini,1)) $did(nexcam,16).seltext }
      else { write -ds $+ $did(nexcam,16).seltext $shortfn($findfile($mircdir,nexmal2.txt,1)) | .timer -m 1 1 remini $shortfn($findfile($mircdir,nexcam2.ini,1)) $did(nexcam,16).seltext }
    }
    elseif ($did(nexcam,45).state == 1) { 
      if ($read($shortfn($findfile($mircdir,nexoth.txt,1)),w, $did(nexcam,16).seltext) != $null) { write -ds $+ $did(nexcam,16).seltext $shortfn($findfile($mircdir,nexoth.txt,1)) | .timer -m 1 1 remini $shortfn($findfile($mircdir,nexcam.ini,1)) $did(nexcam,16).seltext }
      else { write -ds $+ $did(nexcam,16).seltext $shortfn($findfile($mircdir,nexoth2.txt,1)) | .timer -m 1 1 remini $shortfn($findfile($mircdir,nexcam2.ini,1)) $did(nexcam,16).seltext }
    }
    did -r nexcam 39,6,31,15,13    
    did -g nexcam 1 $shortfn($findfile($mircdir,nexcam.jpg,1)) 
    check.list 
  }
  if ($did == 46) { if ($did(nexcam,21).text != $null) && ($did(nexcam,25).text != $null) && ($did(nexcam,46).state == 1) { did -e nexcam 29 } }
  if ($did == 47) { if ($did(nexcam,21).text != $null) && ($did(nexcam,25).text != $null) && ($did(nexcam,47).state == 1) { did -e nexcam 29 } }
  if ($did == 48) { if ($did(nexcam,21).text != $null) && ($did(nexcam,25).text != $null) && ($did(nexcam,48).state == 1) { did -e nexcam 29 } }
  if ($did == 4) { www $did(nexcam,6).text } 
  if ($did == 7) { 
    var %gh = $did(nexcam,35).seltext  
    write -ds $+ %gh $shortfn($findfile($mircdir,nexcamfav.txt,1))    
    .timer72 off  
    did -g nexcam 1 $shortfn($findfile($mircdir,nexcam.jpg,1))
    if ($did(nexcam,31).visible == $true) { did -h nexcam 31,32,15,17,14,13,36,33 | did -v nexcam 1 }
    did -r nexcam 39,31,15,13    
    listfav 
  }
  if ($did == 8) {
    %nc.who = $did(nexcam,39).text | %nc.site = $did(nexcam,6).text
    if ($rnc(nexcam,ontop) == on) { 
      wc nexcam ontop off | .timer -m 1 1 dialog -dm nexcam nexcam | dialog -x nexcam
    }
    else { wc nexcam ontop on | did -c nexcam 8 | .timer -m 1 1 dialog -m nexcam nexcam | dialog -x nexcam }
    .timer 1 3 rest
  }
  if ($did == 10) { did -h nexcam 31,32,15,17,14,13,36,33 | did -v nexcam 1 | did -g nexcam 1 $shortfn($findfile($mircdir,nexcam.jpg,1)) | .timer72 off | .remove cam.jpg | did -o nexcam 6,39 1 | did -o nexcam 23 1 connecting... | camdate }
  if ($did == 12) { .remove cam.jpg | refreshc %nexcam.link | %nexcam.count = 0 | .timer72 0 1 nexcam.counter }
  if ($did == 16) { 
    did -g nexcam 1 $shortfn($findfile($mircdir,nexcam.jpg,1)) 
    %mac.dad = $did(nexcam,16).seltext  
    if ($did(nexcam,31).visible == $true) { did -o nexcam 13 1 $rnc($did(nexcam,16).seltext,home) | did -o nexcam 15 1 $rnc($did(nexcam,16).seltext,link) | did -o nexcam 31 1 $did(nexcam,16).seltext }
    did -e nexcam 41,3
    .timer70 off | .timer71 off | .timer72 off
    %nexcam.count = 0
    if ($rnc($did(nexcam,16).seltext,link) != $null) { %nexcam.link = $rnc($did(nexcam,16).seltext,link) }    
    else %nexcam.link = $rnc2($did(nexcam,16).seltext,link)   
    did -o nexcam 23 1 connecting...
    .timer70 1 1 refreshc %nexcam.link
    .timer72 0 1 nexcam.counter
    did -o nexcam 39 1 $did(nexcam,16).seltext 
    if ($rnc($did(nexcam,16).seltext,home) != $null) { did -e nexcam 4 | did -o nexcam 6 1 $rnc($did(nexcam,16).seltext,home) }
    else { did -b nexcam 4 }
  }
  if ($did == 57) { run www.team-nexgen.com/nexcam.html }
  if ($did == 18) {
    mkdir snapshots 
    var %tyu = $findfile($mircdirsnapshots, $+ $did(nexcam,39).text $+ *,0)   
    if (%tyu > 0) { var %tyui = $calc(%tyu + 1) | .copy cam.jpg snapshots\ $+ $did(nexcam,39).text $+ %tyui $+ .jpg } 
    else { .copy cam.jpg snapshots\ $+ $did(nexcam,39).text $+ .jpg }
  }
  if ($did == 29) { 
    if ($exists(data\nexoth2.txt) == $false) { mkdir data | write -c data\nexoth2.txt }
    if ($exists(data\nexfem2.txt) == $false) { mkdir data | write -c data\nexfem2.txt }
    if ($exists(data\nexmal2.txt) == $false) { mkdir data | write -c data\nexmal2.txt }
    if ($did(nexcam,31).visible == $true) { did -h nexcam 31,32,15,17,14,13,36,33 | did -v nexcam 1 }
    var %yup = $did(nexcam,21).text 
    if ($chr(32) isin %yup) { var %yup = $replace(%yup,$chr(32),$chr(95)) }
    if ($did(nexcam,46).state == 1) { write $shortfn($findfile($mircdir,nexfem2.txt,1)) %yup }
    elseif ($did(nexcam,47).state == 1) { write $shortfn($findfile($mircdir,nexmal2.txt,1)) %yup }
    elseif ($did(nexcam,48).state == 1) { write $shortfn($findfile($mircdir,nexoth2.txt,1)) %yup }
    if (http:// !isin $did(nexcam,25).text) { var %yap = http:// $+ $did(nexcam,25).text | wc2 %yup link %yap } 
    else { wc2 %yup link $did(nexcam,25).text }
    if ($did(nexcam,27).text != $null) { wc2 %yup home $did(nexcam,27).text }
    .timer 1 1 did -r nexcam 21,25,27 | did -b nexcam 29,30 | did -u nexcam 46,47,48 | check.list 
  }
  if ($did == 30) { did -r nexcam 21,25,27 | did -b nexcam 29,30 | did -u nexcam 46,47,48 }
  if ($did == 33) { 
    if ($did(nexcam,31).text != $null) && ($did(nexcam,15).text != $null) { 
      var %yup2 = $did(nexcam,31).text 
      check.fav     
      if ($chr(32) isin %yup2) { var %yup2 = $replace(%yup2,$chr(32),$chr(95)) }
      if ($read($shortfn($findfile($mircdir,nexfem.txt,1)),w, $did(nexcam,16).seltext) != $null) { 
        write -ds $+ $did(nexcam,16).seltext $shortfn($findfile($mircdir,nexfem.txt,1)) | remc $did(nexcam,16).seltext link | remc $did(nexcam,16).seltext home 
        write $shortfn($findfile($mircdir,nexfem.txt,1)) %yup2  
        if (http:// !isin $did(nexcam,15).text) { var %yap = http:// $+ $did(nexcam,15).text | wc %yup2 link %yap } 
        else { wc %yup2 link $did(nexcam,15).text }
        if ($did(nexcam,13).text != $null) { wc %yup2 home $did(nexcam,13).text }
      } 
      if ($read($shortfn($findfile($mircdir,nexfem2.txt,1)),w, $did(nexcam,16).seltext) != $null) { 
        write -ds $+ $did(nexcam,16).seltext $shortfn($findfile($mircdir,nexfem2.txt,1)) | remc2 $did(nexcam,16).seltext link | remc2 $did(nexcam,16).seltext home 
        write $shortfn($findfile($mircdir,nexfem2.txt,1)) %yup2  
        if (http:// !isin $did(nexcam,15).text) { var %yap = http:// $+ $did(nexcam,15).text | wc2 %yup2 link %yap } 
        else { wc2 %yup2 link $did(nexcam,15).text }
        if ($did(nexcam,13).text != $null) { wc2 %yup2 home $did(nexcam,13).text }
      } 
      if ($read($shortfn($findfile($mircdir,nexmal.txt,1)),w, $did(nexcam,16).seltext) != $null) { 
        write -ds $+ $did(nexcam,16).seltext $shortfn($findfile($mircdir,nexmal.txt,1)) | remc $did(nexcam,16).seltext link | remc $did(nexcam,16).seltext home 
        write $shortfn($findfile($mircdir,nexmal.txt,1)) %yup2  
        if (http:// !isin $did(nexcam,15).text) { var %yap = http:// $+ $did(nexcam,15).text | wc %yup2 link %yap } 
        else { wc %yup2 link $did(nexcam,15).text }
        if ($did(nexcam,13).text != $null) { wc %yup2 home $did(nexcam,13).text }
      } 
      if ($read($shortfn($findfile($mircdir,nexmal2.txt,1)),w, $did(nexcam,16).seltext) != $null) { 
        write -ds $+ $did(nexcam,16).seltext $shortfn($findfile($mircdir,nexmal2.txt,1)) | remc2 $did(nexcam,16).seltext link | remc2 $did(nexcam,16).seltext home 
        write $shortfn($findfile($mircdir,nexmal2.txt,1)) %yup2  
        if (http:// !isin $did(nexcam,15).text) { var %yap = http:// $+ $did(nexcam,15).text | wc2 %yup2 link %yap } 
        else { wc2 %yup2 link $did(nexcam,15).text }
        if ($did(nexcam,13).text != $null) { wc %yup2 home $did(nexcam,13).text }
      } 
      if ($read($shortfn($findfile($mircdir,nexoth.txt,1)),w, $did(nexcam,16).seltext) != $null) { 
        write -ds $+ $did(nexcam,16).seltext $shortfn($findfile($mircdir,nexoth.txt,1)) | remc $did(nexcam,16).seltext link | remc $did(nexcam,16).seltext home 
        write $shortfn($findfile($mircdir,nexoth.txt,1)) %yup2  
        if (http:// !isin $did(nexcam,15).text) { var %yap = http:// $+ $did(nexcam,15).text | wc %yup2 link %yap } 
        else { wc %yup2 link $did(nexcam,15).text }
        if ($did(nexcam,13).text != $null) { wc %yup2 home $did(nexcam,13).text }
      } 
      if ($read($shortfn($findfile($mircdir,nexoth2.txt,1)),w, $did(nexcam,16).seltext) != $null) { 
        write -ds $+ $did(nexcam,16).seltext $shortfn($findfile($mircdir,nexoth2.txt,1)) | remc2 $did(nexcam,16).seltext link | remc2 $did(nexcam,16).seltext home 
        write $shortfn($findfile($mircdir,nexoth2.txt,1)) %yup2  
        if (http:// !isin $did(nexcam,15).text) { var %yap = http:// $+ $did(nexcam,15).text | wc2 %yup2 link %yap } 
        else { wc2 %yup2 link $did(nexcam,15).text }
        if ($did(nexcam,13).text != $null) { wc2 %yup2 home $did(nexcam,13).text }
      } 
      .timer 1 1 did -r nexcam 31,15,13 | did -b nexcam 29,30 
      did -h nexcam 31,32,15,17,14,13,36,33 | did -v nexcam 1
      check.list
    } 
  }
  if ($did == 34) {
    did -r nexcam 21,27,25
    if ($did(nexcam,31).visible == $true) { did -h nexcam 31,32,15,17,14,13,36,33 | did -v nexcam 1 }
  }   
  if ($did == 36) { did -h nexcam 31,32,15,17,14,13,36,33 | did -v nexcam 1 | did -r nexcam 13,15,31 }
  if ($did == 35) { 
    did -g nexcam 1 $shortfn($findfile($mircdir,nexcam.jpg,1)) 
    did -e nexcam 7
    .timer70 off | .timer71 off | .timer72 off
    %nexcam.count = 0
    %nexcam.link = $rnc($did(nexcam,35).seltext,link)   
    did -o nexcam 23 1 connecting...
    .timer70 1 1 refreshc %nexcam.link
    .timer72 0 1 nexcam.counter
    did -o nexcam 39 1 $did(nexcam,35).seltext 
    if ($rnc($did(nexcam,35).seltext,home) != $null) { did -e nexcam 4 | did -o nexcam 6 1 $rnc($did(nexcam,35).seltext,home) }
    else { did -b nexcam 4 }
  }
  if ($did == 37) { 
    if ($findfile($mircdir,nexcamfav.txt,1) == $null) { write data\nexcamfav.txt }
    write $shortfn($findfile($mircdir,nexcamfav.txt,1)) $did(nexcam,16).seltext
    listfav 
  }
  if ($did == 41) { 
    did -h nexcam 1 | did -v nexcam 31,32,15,17,14,13,36,33 
    if ($rnc($did(nexcam,16).seltext,link) != $null) { did -o nexcam 13 1 $rnc($did(nexcam,16).seltext,home) | did -o nexcam 15 1 $rnc($did(nexcam,16).seltext,link) }
    else { did -o nexcam 13 1 $rnc2($did(nexcam,16).seltext,home) | did -o nexcam 15 1 $rnc2($did(nexcam,16).seltext,link) } 
    did -o nexcam 31 1 $did(nexcam,16).seltext
  }
  if ($did == 42) {
    if ($did(nexcam,31).visible == $true) { did -h nexcam 31,32,15,17,14,13,36,33 | did -v nexcam 1 }
    if ($rnc(nexcam,size) == min) { did -u nexcam 42 | did -o nexcam 42 1 min | wc nexcam size max | max.size }   
    else { did -c nexcam 42 | did -o nexcam 42 1 max | wc nexcam size min | min.size }
    if ($rnc(nexcam,list) == fem) { listfem | did -c nexcam 43 }
    elseif ($rnc(nexcam,list) == mal) { listmal | did -c nexcam 44 }
    elseif ($rnc(nexcam,list) == oth) { listoth | did -c nexcam 45 }
  }
  if ($did == 43) { wc nexcam list fem | listfem | did -z nexcam 16 } 
  if ($did == 44) { wc nexcam list mal | listmal | did -z nexcam 16 } 
  if ($did == 45) { wc nexcam list oth | listoth | did -z nexcam 16 } 
  if ($did == 49) { did -b nexcam 49,18 | .timer72 off | did -r nexcam 6,39,23 | did -g nexcam 1 $shortfn($findfile($mircdir,nexcam.jpg,1)) }
  if ($did == 50) { listsnaps | did -z nexcam 51 }
  if ($did == 51) { did -b nexcam 18,49,12,4 | did -r nexcam 6,39,23 | .timer72 off | did -g nexcam 1 snapshots\ $+ $did(nexcam,51).seltext | did -o nexcam 39 1 $did(nexcam,51).seltext | did -o nexcam 23 1 viewing snapshot }
  if ($did == 53) { .remove snapshots\ $+ $did(nexcam,51).seltext | did -g nexcam 1 $shortfn($findfile($mircdir,nexcam.jpg,1)) | did -r nexcam 6,39,23 | listsnaps }
  if ($did == 54) { run snapshots\ }
}
alias -l check.list {
  if ($rnc(nexcam,list) == fem) { listfem }
  elseif ($rnc(nexcam,list) == mal) { listmal }
  elseif ($rnc(nexcam,list) == oth) { listoth }
  else { listfem | listmal | listoth } 
}
alias -l check.fav {
  if ($read($shortfn($findfile($mircdir,nexcamfav.txt,1)), w, %mac.dad) == %mac.dad) {
    write -ds $+ %mac.dad $shortfn($findfile($mircdir,nexcamfav.txt,1))
    write $shortfn($findfile($mircdir,nexcamfav.txt,1)) $did(nexcam,31).text
  } 
  else { write %mac.dad $shortfn($findfile($mircdir,nexcamfav.txt,1)) }
  listfav
  unset %mac.dad 
}
alias refreshpic {
  if ($dialog(nexcam) != $null) { 
    if ($exists(cam.jpg) == $true) { 
      did -g nexcam 1 cam.jpg 
      did -o nexcam 23 1 $null
      did -e nexcam 18
    }
  }
  else { .timer70 off | .timer71 off | .timer72 off }
}
alias -l refreshc {
  if ($dialog(nexcam) != $null) { 
    did -e nexcam 49,12 
    did -o nexcam 23 1 :: updating ::
    dll $adll getcam $1

  }
  else { .timer70 off | .timer71 off | .timer72 off }
}
alias -l nexcam.counter {
  if ($dialog(nexcam) != $null) {
    if (%nexcam.count > 0) {
      did -o nexcam 23 1 refresh in %nexcam.count sec.
      dec %nexcam.count
    }
    else {
      refreshc %nexcam.link
    }
  }
  else { .timer70 off | .timer71 off | .timer72 off }
}
alias -l listsnaps {
  did -z nexcam 51 
  did -b nexcam 18,49,12 
  did -r nexcam 51  
  var %o = $findfile($mircdirsnapshots,*.jpg,0)
  var %o1 = 1
  while (%o1 <= %o) { did -a nexcam 51 $nopath($findfile($mircdirsnapshots,*.jpg,%o1)) | inc %o1 1 }
}
alias -l listfem {
  .timer -m 1 1 listfem2  
  did -z nexcam 16 
  did -b nexcam 41,3
  did -r nexcam 16
  if ($did(nexcam,6).text == $null) { did -b nexcam 4 } 
  var %o = $lines($shortfn($findfile($mircdir,nexfem.txt,1)))
  var %o1 = 1
  while (%o1 <= %o) { did -a nexcam 16 $read($shortfn($findfile($mircdir,nexfem.txt,1)),%o1) | inc %o1 1 }
}
alias -l listfem2 {
  did -z nexcam 16 
  did -b nexcam 41,3
  if ($did(nexcam,6).text == $null) { did -b nexcam 4 } 
  var %o = $lines($shortfn($findfile($mircdir,nexfem2.txt,1)))
  var %o1 = 1
  while (%o1 <= %o) { did -a nexcam 16 $read($shortfn($findfile($mircdir,nexfem2.txt,1)),%o1) | inc %o1 1 }
}
alias -l listmal {
  .timer -m 1 1 listmal2  
  did -z nexcam 16
  did -b nexcam 41,3
  did -r nexcam 16
  if ($did(nexcam,6).text == $null) { did -b nexcam 4 } 
  var %o = $lines($shortfn($findfile($mircdir,nexmal.txt,1)))
  var %o1 = 1
  while (%o1 <= %o) { did -a nexcam 16 $read($shortfn($findfile($mircdir,nexmal.txt,1)),%o1) | inc %o1 1 }
}
alias -l listmal2 {
  did -z nexcam 16
  did -b nexcam 41,3
  if ($did(nexcam,6).text == $null) { did -b nexcam 4 } 
  var %o = $lines($shortfn($findfile($mircdir,nexmal2.txt,1)))
  var %o1 = 1
  while (%o1 <= %o) { did -a nexcam 16 $read($shortfn($findfile($mircdir,nexmal2.txt,1)),%o1) | inc %o1 1 }
}
alias -l listoth {
  .timer -m 1 1 listoth2  
  did -z nexcam 16 
  did -b nexcam 41,3
  did -r nexcam 16
  if ($did(nexcam,6).text == $null) { did -b nexcam 4 } 
  var %o = $lines($shortfn($findfile($mircdir,nexoth.txt,1)))
  var %o1 = 1
  while (%o1 <= %o) { did -a nexcam 16 $read($shortfn($findfile($mircdir,nexoth.txt,1)),%o1) | inc %o1 1 }
}
alias -l listoth2 {
  did -z nexcam 16 
  did -b nexcam 41,3
  if ($did(nexcam,6).text == $null) { did -b nexcam 4 } 
  var %o = $lines($shortfn($findfile($mircdir,nexoth2.txt,1)))
  var %o1 = 1
  while (%o1 <= %o) { did -a nexcam 16 $read($shortfn($findfile($mircdir,nexoth2.txt,1)),%o1) | inc %o1 1 }
}
alias -l listfav {
  did -b nexcam 7 
  did -r nexcam 35
  if ($did(nexcam,6).text == $null) { did -b nexcam 4 } 
  var %o = $lines($shortfn($findfile($mircdir,nexcamfav.txt,1)))
  var %o1 = 1
  while (%o1 <= %o) { did -a nexcam 35 $read($shortfn($findfile($mircdir,nexcamfav.txt,1)),%o1) | inc %o1 1 }
}
alias -l max.size {
  dialog -s nexcam -1 -1 618 358
}
alias -l min.size {
  dialog -s nexcam -1 -1 356 358
}
alias -l camdate {
  if ($sock(camupdate)) { did -o nexcam 23 1 currently connected | return }
  sockopen camupdate www.nexgen-systems.com 80
}
on *:sockopen:camupdate:{
  if ($sockerr) { if ($dialog(nexcam)) { did -o nexcam 23 1 connection failed } | return }
  write -c data\nexcam.ini
  unset %downloadlength %downloadready
  sockwrite -n $sockname GET /nexcam/nexcam.ini HTTP/1.0
  sockwrite -n $sockname Accept: */*
  sockwrite -n $sockname Host: www.nexgen-systems.com
  sockwrite -n $sockname
}
on *:sockread:camupdate:{
  var %header
  sockread %header
  sockread 4096 &d
  while ($sockbr) {
    bwrite data\nexcam.ini -1 -1 &d
    sockread 4096 &d
  }
}
on *:sockclose:camupdate:{
  write -dl data\nexcam.ini
  write -dl data\nexcam.ini
  write -dl data\nexcam.ini
  write -dl data\nexcam.ini
  write -dl data\nexcam.ini
  write -dl data\nexcam.ini
  write -dl data\nexcam.ini
  write -dl data\nexcam.ini
  write -dl data\nexcam.ini
  femup
}
alias -l femup {
  if ($sock(femup)) { return }
  sockopen femup www.nexgen-systems.com 80
}
on *:sockopen:femup:{
  if ($sockerr) { if ($dialog(nexcam)) { did -o nexcam 23 1 connection failed } | return }
  write -c data\nexfem.txt
  sockwrite -n $sockname GET /nexcam/nexfem.txt HTTP/1.0
  sockwrite -n $sockname Accept: */*
  sockwrite -n $sockname Host: www.nexgen-systems.com
  sockwrite -n $sockname
}
on *:sockread:femup:{
  var %header
  sockread %header
  sockread 4096 &d
  while ($sockbr) {
    bwrite data\nexfem.txt -1 -1 &d
    sockread 4096 &d
  }
}
on *:sockclose:femup:{
  write -dl data\nexfem.txt
  write -dl data\nexfem.txt
  write -dl data\nexfem.txt
  write -dl data\nexfem.txt
  write -dl data\nexfem.txt
  write -dl data\nexfem.txt
  write -dl data\nexfem.txt
  write -dl data\nexfem.txt
  write -dl data\nexfem.txt
  write -dl data\nexfem.txt
  malup
}
alias -l malup {
  if ($sock(malup)) { return }
  sockopen malup www.nexgen-systems.com 80
}
on *:sockopen:malup:{
  if ($sockerr) { if ($dialog(help)) { did -o nexcam 23 1 connection failed } | return }
  write -c data\nexmal.txt
  sockwrite -n $sockname GET /nexcam/nexmal.txt HTTP/1.0
  sockwrite -n $sockname Accept: */*
  sockwrite -n $sockname Host: www.nexgen-systems.com
  sockwrite -n $sockname
}
on *:sockread:malup:{
  var %header
  sockread %header
  sockread 4096 &d
  while ($sockbr) {
    bwrite data\nexmal.txt -1 -1 &d
    sockread 4096 &d
  }
}
on *:sockclose:malup:{
  write -dl data\nexmal.txt
  write -dl data\nexmal.txt
  write -dl data\nexmal.txt
  write -dl data\nexmal.txt
  write -dl data\nexmal.txt
  write -dl data\nexmal.txt
  write -dl data\nexmal.txt
  write -dl data\nexmal.txt
  write -dl data\nexmal.txt
  write -dl data\nexmal.txt
  othup
}
alias -l othup {
  if ($sock(othup)) { return }
  sockopen othup www.nexgen-systems.com 80
}
on *:sockopen:othup:{
  if ($sockerr) { if ($dialog(help)) { did -o nexcam 23 1 connection failed } | return }
  write -c data\nexoth.txt
  sockwrite -n $sockname GET /nexcam/nexoth.txt HTTP/1.0
  sockwrite -n $sockname Accept: */*
  sockwrite -n $sockname Host: www.nexgen-systems.com
  sockwrite -n $sockname
}
on *:sockread:othup:{
  var %header
  sockread %header
  sockread 4096 &d
  while ($sockbr) {
    bwrite data\nexoth.txt -1 -1 &d
    sockread 4096 &d
  }
}
on *:sockclose:othup:{
  write -dl data\nexoth.txt
  write -dl data\nexoth.txt
  write -dl data\nexoth.txt
  write -dl data\nexoth.txt
  write -dl data\nexoth.txt
  write -dl data\nexoth.txt
  write -dl data\nexoth.txt
  write -dl data\nexoth.txt
  write -dl data\nexoth.txt
  write -dl data\nexoth.txt
  did -o nexcam 23 1 update complete
  did -g nexcam 1 $shortfn($findfile($mircdir,nexcam.jpg,1))
  check.list
}
